Hi group,

I'm new here, and, after search and search on Bing (trollface),

I decided to ask the group, I'm having this problem

`to_specs': Could not find railties (>= 0) amongst [bundler-1.0.21, bundler-1.0.21, rake-0.9.2.2, rake-0.9.2] (Gem::LoadError)

Every time on i make "rails s" or "rails new",

This occurred after I updated to Ruby 1.9.2,

Anyone know how i fix it?
Thx

--
Eduardo Rabelo | Desenvolvedor Web
www.eduardorabelo.com.br

Sent with Sparrow (http://www.sparrowmailapp.com/?sig)

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Search Discussions

  • Peter Vandenabeele at Jan 30, 2012 at 12:39 pm

    On Fri, Jan 27, 2012 at 5:52 PM, Eduardo Rabelo wrote:

    Hi group,

    I'm new here, and, after search and search on Bing (trollface),

    I decided to ask the group, I'm having this problem

    `to_specs': Could not find railties (>= 0) amongst [bundler-1.0.21,
    bundler-1.0.21, rake-0.9.2.2, rake-0.9.2] (Gem::LoadError)

    Every time on i make "rails s" or "rails new",

    This occurred after I updated to Ruby 1.9.2,

    Anyone know how i fix it?
    What does

    $ gem list

    show ?

    What happens when you try

    $ bundle install

    HTH,

    Peter

    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.
  • LED at Jan 31, 2012 at 11:30 am

    On Jan 28, 12:52 am, Eduardo Rabelo wrote:
    Hi group,

    I'm new here, and, after search and search on Bing (trollface),

    I decided to ask the group, I'm having this problem

    `to_specs': Could not find railties (>= 0) amongst [bundler-1.0.21, bundler-1.0.21, rake-0.9.2.2, rake-0.9.2] (Gem::LoadError)

    Every time on i make "rails s" or "rails new",

    This occurred after I updated to Ruby 1.9.2,

    Anyone know how i fix it?
    Thx
    good day try gem update
    then
    bundle install
    bundle update

    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.
  • Peter Vandenabeele at Jan 31, 2012 at 12:38 pm
    On Mon, Jan 30, 2012 at 3:04 PM, LED wrote:
    On Jan 28, 12:52 am, Eduardo Rabelo wrote:
    Hi group,

    I'm new here, and, after search and search on Bing (trollface),

    I decided to ask the group, I'm having this problem

    `to_specs': Could not find railties (>= 0) amongst [bundler-1.0.21,
    bundler-1.0.21, rake-0.9.2.2, rake-0.9.2] (Gem::LoadError)
    Every time on i make "rails s" or "rails new",

    This occurred after I updated to Ruby 1.9.2,

    Anyone know how i fix it?
    Thx
    good day try gem update
    then
    bundle install
    bundle update

    Actually, I see a similar problem on a directory where I have installed

    $ rails new --edge

    inside a gemset. What I have to do there is always use `bundle exec`
    like this:

    $ bundle exec rails console
    $ bundle exec rails generate ...

    For reference, this is the set-up described here

    https://github.com/rails/rails/issues/4749

    HTH,

    Peter

    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedJan 30, '12 at 11:05a
activeJan 31, '12 at 12:38p
posts4
users3
websiterubyonrails.org
irc#RubyOnRails

People

Translate

site design / logo © 2022 Grokbase